aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorsf <sf@FreeBSD.org>2002-01-07 04:55:22 +0800
committersf <sf@FreeBSD.org>2002-01-07 04:55:22 +0800
commitcf55e2b038b2196c40da0d1e5ac2fcd437e8c31e (patch)
treef310ebb5ff2d5a411e0cd6727c731f054346bb69 /x11
parentec0f4a9bf14fc86aa06292505a8bbb03daaf1105 (diff)
downloadfreebsd-ports-gnome-cf55e2b038b2196c40da0d1e5ac2fcd437e8c31e.tar.gz
freebsd-ports-gnome-cf55e2b038b2196c40da0d1e5ac2fcd437e8c31e.tar.zst
freebsd-ports-gnome-cf55e2b038b2196c40da0d1e5ac2fcd437e8c31e.zip
configure exits with error if
- USA_RESIDENT=YES and - imake-4 assumes HasXdmAuth=YES and - Wraphelp.c can't be found.
Diffstat (limited to 'x11')
-rw-r--r--x11/XFree86-4-clients/scripts/configure35
-rw-r--r--x11/XFree86-4-libraries/scripts/configure34
2 files changed, 39 insertions, 30 deletions
diff --git a/x11/XFree86-4-clients/scripts/configure b/x11/XFree86-4-clients/scripts/configure
index 3e9586fbad85..b1db6e5c4e7c 100644
--- a/x11/XFree86-4-clients/scripts/configure
+++ b/x11/XFree86-4-clients/scripts/configure
@@ -72,29 +72,34 @@ configure () {
echo "#define FreeBSDBuildXbin YES" >> $LOCALDEF
# Check Wraphelp.c
- WH=$WRKDIR/xc/lib/Xdmcp/Wraphelp.c
- cpwh=NO
- if [ -f $WH ] ; then
- cpwh=SOURCE
- elif [ -f $DISTDIR/xc/Wraphelp.c ] ; then
- cpwh=$DISTDIR/xc/Wraphelp.c
- else
- echo "==> Warnning: Wraphelp.c not found, DES support NOT enabled."
+ if [ $HasXdmAuth = DEFAULT ]; then
+ HasXdmAuth=$(awk '/^#define.*HasXdmAuth/ {print $3}' $ORIGDEF|tail -1)
fi
- if [ X$cpwh != XNO -a X$cpwh != XSOURCE ]; then
- tr -d '\r' < $cpwh > $WH
+
+ cpwh=NO
+ if [ $HasXdmAuth = YES ]; then
+ WH=$WRKDIR/xc/lib/Xdmcp/Wraphelp.c
+ if [ -f $WH ] ; then
+ cpwh=SOURCE
+ elif [ -f $DISTDIR/xc/Wraphelp.c ] ; then
+ cpwh=$DISTDIR/xc/Wraphelp.c
+ else
+ echo "==> You must fetch USA-legal Wraphelp.c manually"
+ echo "==> and put it to ${DISTDIR}/xc/."
+ exit 1
+ fi
+ if [ X$cpwh != XNO -a X$cpwh != XSOURCE ]; then
+ tr -d '\r' < $cpwh > $WH
+ fi
fi
# Copy ORIGDEF to DESTDEF
rm -f $DESTDEF
+ grep -v '#define.*HasXdmAuth' $ORIGDEF >> $DESTDEF
if [ $cpwh = NO ] ; then
- grep -v '#define.*HasXdmAuth' $ORIGDEF >> $DESTDEF
echo "#define HasXdmAuth NO" >> $DESTDEF
else
- if [ X$HasXdmAuth != XDEFAULT -a X$HasXdmAuth != X ]; then
- echo "#define HasXdmAuth $HasXdmAuth" >> $LOCALDEF
- fi
- cp -f $ORIGDEF $DESTDEF
+ echo "#define HasXdmAuth YES" >> $DESTDEF
fi
# copy generated config to host.def
diff --git a/x11/XFree86-4-libraries/scripts/configure b/x11/XFree86-4-libraries/scripts/configure
index 432fdb8665c9..3d5393dbc7f6 100644
--- a/x11/XFree86-4-libraries/scripts/configure
+++ b/x11/XFree86-4-libraries/scripts/configure
@@ -74,29 +74,33 @@ configure () {
echo "#define FreeBSDBuildXbin NO" >> $LOCALDEF
# Check Wraphelp.c
- WH=$WRKDIR/xc/lib/Xdmcp/Wraphelp.c
- cpwh=NO
- if [ -f $WH ] ; then
- cpwh=SOURCE
- elif [ -f $DISTDIR/xc/Wraphelp.c ] ; then
- cpwh=$DISTDIR/xc/Wraphelp.c
- else
- echo "==> Warnning: Wraphelp.c not found, DES support NOT enabled."
+ if [ $HasXdmAuth = DEFAULT ]; then
+ HasXdmAuth=$(awk '/^#define.*HasXdmAuth/ {print $3}' $ORIGDEF|tail -1)
fi
- if [ X$cpwh != XNO -a X$cpwh != XSOURCE ]; then
- tr -d '\r' < $cpwh > $WH
+ cpwh=NO
+ if [ $HasXdmAuth = YES ]; then
+ WH=$WRKDIR/xc/lib/Xdmcp/Wraphelp.c
+ if [ -f $WH ] ; then
+ cpwh=SOURCE
+ elif [ -f $DISTDIR/xc/Wraphelp.c ] ; then
+ cpwh=$DISTDIR/xc/Wraphelp.c
+ else
+ echo "==> You must fetch USA-legal Wraphelp.c manually"
+ echo "==> and put it to ${DISTDIR}/xc/."
+ exit 1
+ fi
+ if [ X$cpwh != XNO -a X$cpwh != XSOURCE ]; then
+ tr -d '\r' < $cpwh > $WH
+ fi
fi
# Copy ORIGDEF to DESTDEF
rm -f $DESTDEF
+ grep -v '#define.*HasXdmAuth' $ORIGDEF >> $DESTDEF
if [ $cpwh = NO ] ; then
- grep -v '#define.*HasXdmAuth' $ORIGDEF >> $DESTDEF
echo "#define HasXdmAuth NO" >> $DESTDEF
else
- if [ X$HasXdmAuth != XDEFAULT -a X$HasXdmAuth != X ]; then
- echo "#define HasXdmAuth $HasXdmAuth" >> $LOCALDEF
- fi
- cp -f $ORIGDEF $DESTDEF
+ echo "#define HasXdmAuth YES" >> $DESTDEF
fi
# copy generated config to host.def